Last Comment Bug 842486 - when not using relative path, local modules have lower priority than sdk modules specified into mapping file
: when not using relative path, local modules have lower priority than sdk modu...
Status: RESOLVED FIXED
:
Product: Add-on SDK
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: 1.14
Assigned To: Alexandre Poirot [:ochameau]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-19 01:40 PST by Alexandre Poirot [:ochameau]
Modified: 2013-02-28 05:57 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Pull request 800 (165 bytes, text/html)
2013-02-19 02:05 PST, Alexandre Poirot [:ochameau]
rFobic: review+
Details

Description Alexandre Poirot [:ochameau] 2013-02-19 01:40:12 PST
whimboo just hit that issue while repacking memchaser with SDK 1.13.x
We have a regression of the mapping feature that allows to make addon to work with new module layout.

Given an addon with a local memory module:

  const memory = require("memory");

Will return `sdk/deprecated/memory` instead of `./memory`.
Comment 1 Wes Kocher (:KWierso) 2013-02-19 01:56:37 PST
I think this definitely warrants inclusion in 1.14 (especially if it gets fixed sometime this week).

If we're still targeting 1.14 for a mass repack, this would probably help us successfully repack addons much more easily.
Comment 2 Alexandre Poirot [:ochameau] 2013-02-19 02:05:39 PST
Created attachment 715424 [details]
Pull request 800
Comment 3 Alexandre Poirot [:ochameau] 2013-02-19 02:10:49 PST
Henrik, it would be really handy if you can confirm that it actually allows you to repack memchase without any modification.
Comment 4 Henrik Skupin (:whimboo) 2013-02-20 23:56:32 PST
Sorry, that I haven't had time to check this yesterday. Given r- now I assume no testing is necessary at this point?
Comment 5 [github robot] 2013-02-28 05:57:08 PST
Commits pushed to master at https://github.com/mozilla/addon-sdk

https://github.com/mozilla/addon-sdk/commit/9db0339fe6e13e9828aa3961e9360dcfc2f69323
Bug 842486 - Fix priority of modules matched by mapping file.

https://github.com/mozilla/addon-sdk/commit/7d4b7d353cc3485e39ff425e86a50428deb2e70c
Merge pull request #800 from ochameau/mapping-priority

Bug 842486 - Fix priority of modules matched by mapping file. r=@gozala

Note You need to log in before you can comment on or make changes to this bug.